%define include_text_balanced 0
# %{?no_text_balanced:%define with_text_balanced 0}

Summary: Generate recursive-descent parsers
Name: perl-Parse-RecDescent
Packager: Horms <horms@verge.net.au>
Version: 1.94
Release: 1.rh.el.um.1
Copyright: Artistic License or GPL
Group: Development/Libraries/Perl
Source: http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-%{version}.tar.gz
URL: http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-%{version}.readme
BuildRoot: /var/tmp/%{name}-root
Requires: perl
BuildPreReq: perl
Buildarch: noarch

%description 
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications.

%prep
%setup -n Parse-RecDescent-%version

%build
eval `perl -V:prefix`
perl Makefile.PL -- -- CCFLAGS="${RPM_OPT_FLAGS}" \
	"PREFIX=$RPM_BUILD_ROOT/$prefix"
make test

%install
eval `perl -V:installsitelib -V:installsitearch -V:man3dir`
rm -rf "$RPM_BUILD_ROOT"
make install
rm -rf "$RPM_BUILD_ROOT/${installsitearch}/"
echo "${installsitelib}/Parse" > filelist
%if %include_text_balanced
echo "${installsitelib}/Text" >> filelist
%else
rm -rf "$RPM_BUILD_ROOT/${installsitelib}/Text/"
rm -f "$RPM_BUILD_ROOT/${man3dir}/Text"*
%endif
echo "${man3dir}/*" >> filelist


%clean
rm -rf "$RPM_BUILD_DIR/Parse-RecDescent-%{version}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%%doc README tutorial

%changelog
* Thu Jan 27 2005 Horms <horms@verge.net.au> (1.94-1.rh.el.um.1)
- Updated for 1.94

* Tue Mar 18 2003 Horms <horms@verge.net.au> (1.80-1.rh.el.um.1)
- Updated packaging to work with rpm 4.1

* Mon Jul 29 2002 Horms <horms@verge.net.au>
- made for version 1.80
